<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">

<html lang="en">
<head>

<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">

<meta name="generator" content="PHPDoctor 2RC4 (http://peej.github.com/phpdoctor/)">
<meta name="when" content="Fri, 15 Apr 2011 16:43:06 +0000">

<link rel="stylesheet" type="text/css" href="../stylesheet.css">
<link rel="start" href="../overview-summary.html">

<title>Type (PHPDoctor)</title>

</head>
<body id="definition" onload="parent.document.title=document.title;">

<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="../phpdoctor/package-summary.html">Namespace</a></li>
<li class="active">Class</li>
<li><a href="../phpdoctor/package-tree.html">Tree</a></li>
<li><a href="../overview-files.html">Files</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../todo-list.html">Todo</a></li>
<li><a href="../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../index.html" target="_top">Frames</a>
<a href="../phpdoctor/type.html" target="_top">No frames</a>
</div>
<div class="small_links">
Summary: <a href="#summary_field">Field</a> | <a href="#summary_method">Method</a> | <a href="#summary_constr">Constr</a>
Detail: <a href="#detail_field">Field</a> | <a href="#detail_method">Method</a> | <a href="#summary_constr">Constr</a>
</div>
<hr>

<div class="qualifiedName">PHPDoctor\Type</div>
<a href="../source/classes/type.php.html#line25" class="location">classes/type.php at line 25</a>

<h1>Class Type</h1>

<pre class="tree"><strong>Type</strong><br /></pre>

<hr>

<p class="signature">public  class <strong>Type</strong></p>

<div class="comment" id="overview_description"><p>Represents a PHP variable type. Type can be a class or primitive data type.</p></div>

<hr>

<table id="summary_method">
<tr><th colspan="2">Method Summary</th></tr>
<tr>
<td class="type"> void</td>
<td class="description"><p class="name"><a href="#__construct()">__construct</a>(str name, <a href="../phpdoctor/rootdoc.html">RootDoc</a> root)</p><p class="description">Constructor</p></td>
</tr>
<tr>
<td class="type"> <a href="../phpdoctor/classdoc.html">ClassDoc</a></td>
<td class="description"><p class="name"><a href="#asClassDoc()">asClassDoc</a>()</p><p class="description">Return this type as a class.</p></td>
</tr>
<tr>
<td class="type"> str</td>
<td class="description"><p class="name"><a href="#dimension()">dimension</a>()</p><p class="description">Return the type's dimension information, as a string.</p></td>
</tr>
<tr>
<td class="type"> str</td>
<td class="description"><p class="name"><a href="#qualifiedTypeName()">qualifiedTypeName</a>()</p><p class="description">Get qualified name of this type.</p></td>
</tr>
<tr>
<td class="type"> str</td>
<td class="description"><p class="name"><a href="#toString()">toString</a>()</p><p class="description">Returns a string representation of the type.</p></td>
</tr>
<tr>
<td class="type"> str</td>
<td class="description"><p class="name"><a href="#typeName()">typeName</a>()</p><p class="description">Get name of this type.</p></td>
</tr>
</table>

<h2 id="detail_method">Method Detail</h2>
<a href="../source/classes/type.php.html#line51" class="location">classes/type.php at line 51</a>

<h3 id="__construct()">__construct</h3>
<code class="signature">public  void <strong>__construct</strong>(str name, <a href="../phpdoctor/rootdoc.html">RootDoc</a> root)</code>
<div class="details">
<p>Constructor</p><dl>
<dt>Parameters:</dt>
<dd>name - The name of the variable type</dd>
<dd>root - The RootDoc object to tie this type too</dd>
</dl>
</div>

<hr>

<a href="../source/classes/type.php.html#line102" class="location">classes/type.php at line 102</a>

<h3 id="asClassDoc()">asClassDoc</h3>
<code class="signature">public  <a href="../phpdoctor/classdoc.html">ClassDoc</a> <strong>asClassDoc</strong>()</code>
<div class="details">
<p>Return this type as a class.</p><dl>
<dt>Returns:</dt>
<dd>A classDoc if the type is a class, null if it is a primitive type.</dd>
</dl>
</div>

<hr>

<a href="../source/classes/type.php.html#line74" class="location">classes/type.php at line 74</a>

<h3 id="dimension()">dimension</h3>
<code class="signature">public  str <strong>dimension</strong>()</code>
<div class="details">
<p>Return the type's dimension information, as a string.</p></div>

<hr>

<a href="../source/classes/type.php.html#line84" class="location">classes/type.php at line 84</a>

<h3 id="qualifiedTypeName()">qualifiedTypeName</h3>
<code class="signature">public  str <strong>qualifiedTypeName</strong>()</code>
<div class="details">
<p>Get qualified name of this type.</p><dl>
<dt>Todo:</dt>
<dd>This method is still to be implemented</dd>
</dl>
</div>

<hr>

<a href="../source/classes/type.php.html#line93" class="location">classes/type.php at line 93</a>

<h3 id="toString()">toString</h3>
<code class="signature">public  str <strong>toString</strong>()</code>
<div class="details">
<p>Returns a string representation of the type.</p></div>

<hr>

<a href="../source/classes/type.php.html#line65" class="location">classes/type.php at line 65</a>

<h3 id="typeName()">typeName</h3>
<code class="signature">public  str <strong>typeName</strong>()</code>
<div class="details">
<p>Get name of this type.</p></div>

<hr>

<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="../phpdoctor/package-summary.html">Namespace</a></li>
<li class="active">Class</li>
<li><a href="../phpdoctor/package-tree.html">Tree</a></li>
<li><a href="../overview-files.html">Files</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../todo-list.html">Todo</a></li>
<li><a href="../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../index.html" target="_top">Frames</a>
<a href="../phpdoctor/type.html" target="_top">No frames</a>
</div>
<div class="small_links">
Summary: <a href="#summary_field">Field</a> | <a href="#summary_method">Method</a> | <a href="#summary_constr">Constr</a>
Detail: <a href="#detail_field">Field</a> | <a href="#detail_method">Method</a> | <a href="#summary_constr">Constr</a>
</div>
<hr>

<p id="footer">This document was generated by <a href="http://peej.github.com/phpdoctor/">PHPDoctor: The PHP Documentation Creator</a></p>

</body>

</html>